For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
DocsAPI Reference
  • API Reference
      • POSTRCS Message
      • POSTSMS Message
      • POSTMMS Message
    • GETGet RCS functionality
    • Upload
    • Receive Inbound Messages
    • Receive Message Statuses
    • Supported SDKs
    • Branded Test Agents
LogoLogo
SupportDashboard
API ReferenceSend a Message

SMS Message

POST
https://www.trypinnacle.dev/api/send/sms
POST
/api/send/sms
1import { PinnacleClient } from "rcs-js";
2
3async function main() {
4 const client = new PinnacleClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.send.sms({
8 to: "string",
9 from: "string",
10 text: "string",
11 });
12}
13main();
1{
2 "messageId": "1",
3 "message": "SMS message sent successfully"
4}
Send an SMS message to a recipient.
Was this page helpful?
Previous

MMS Message

Next
Built with

Authentication

PINNACLE-API-Keystring
Pinnacle API Key

Request

SMS message details such as recipient phone number, sender phone number, and message content.
tostringRequiredformat: "^\+\d{11}$"

The recipient’s phone number in E.164 format (e.g., +12345678901).

fromstringRequiredformat: "^\+\d{11}$"
The sender's phone number in E.164 format. Must be owned by the user.
textstringRequired<=1600 characters

The SMS message content (max 1600 characters).

statusCallbackstringOptionalformat: "uri"

Optional URL to receive a POST request when the message status changes. Read more about status callbacks here.

Response

SMS message sent successfully
messageIdstring
The unique ID of the sent message.
messagestring
A message indicating the status of the sent message.

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
500
Internal Server Error